package com.tuoheng.miniprogram.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/11/28
 */
@Data
public class SeeQuestionVo {

    /**
     * 问题类型id
     */
    private String questionId;

    /**
     * 问题名称
     */
    private String questionName;

    /**
     *缩略图(问题图片)
     */
    private String fileThumbnail;

    /**
     *原图
     */
    private String fileOriginal;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 处理结果照片
     */
    private String handlerImage;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理时间
     */
    private String handlerTime;

    /**
     * 处理人员
     */
    private String handlerUser;

    /**
     * 审核结果 0未审核 1合适 2不合适
     */
    private Integer audit;

    /**
     * 审核意见
     */
    private String auditView;

    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date auditTime;



}
